﻿/*
    Institution's colour hierarchy:
    Colour 1 = #00788B Turquoise
    Colour 2 = #AF9D79 Tan
    Colour 3 = #
*/
.colorTopMenuLevel1 {
    background-color: #00788B;
}

.colorFooterLevel1 {
    background-color: #00788B;
}

.colorDashboardLevel1 {
    background-color: #00788B;
}

.colorLevel1 {
    background-color: #00788B;
}

.colorLevel2 {
    background-color: #AF9D79;
}

.colorLevel3 {
    background-color: none;
}

#menuLogo {
    background-size: contain;
    background-repeat: no-repeat;
}

.div_menu {
    box-shadow: 10px 10px 30px black;
    position: fixed;
    top: 90px;
    left: 0px;
    height: 85%;
    width: 0px;
    overflow: hidden;
    z-index: 1000;
    background-color: #00788B;
}

    .div_menu a {
        border-bottom: 1px solid #AF8C44; /*40% of Colour 2*/
        color: white;
        display: block;
        font-family: Calibri;
        font-size: 12pt;
        padding: 10px 10px 10px 10px;
        text-decoration: none;
        white-space: nowrap;
    }

        .div_menu a:hover, .div_menu a:focus {
            background: #AF9D79;
        }

html, body, form {
    height: 99%;
    font-family: Calibri;
    font-size: 10pt;
}

.mainObject {
    position: relative;
    display: inline-block;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modalPopupBackground {
    position: fixed;
    z-index: 100;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modalPopupObject {
    position: absolute;
}

.mainTitleBar {
    height: 25px;
    border-radius: 10px 10px 10px 10px;
    box-shadow: 10px 10px 30px black;
    padding-top: 3px;
    padding-left: 5px;
    padding-right: 3px;
    font-family: Calibri;
    font-size: 13pt;
    color: white;
}

.mainBody {
    display: inline-block;
    background-color: #E1E1E1;
    border-radius: 10px 10px 10px 10px;
    box-shadow: 10px 10px 30px black;
    padding: 5px 5px 5px 5px;
    font-family: Calibri;
    font-size: 10pt;
    color: black;
    position: relative; /*Need this so any box-shadows from another object don't render on top of this.*/
    z-index: 1; /*Need this so any box-shadows from another object don't render on top of this.*/
}

.mainBodyNoShadow {
    display: inline-block;
    background-color: #E1E1E1;
    border-radius: 10px 10px 10px 10px;
    padding: 5px 5px 5px 5px;
    font-family: Calibri;
    font-size: 10pt;
    color: black;
    position: relative; /*Need this so any box-shadows from another object don't render on top of this.*/
    z-index: 1; /*Need this so any box-shadows from another object don't render on top of this.*/
}

.mainBody2 {
    display: inline-block;
    background-color: #E1E1E1;
    border-radius: 10px 10px 10px 10px;
    box-shadow: 10px 10px 30px black;
    padding: 5px 5px 5px 5px;
    font-family: Calibri;
    font-size: 10pt;
    color: black;
}

.mainBodyBlock2 {
    display: block;
    background-color: #E1E1E1;
    border-radius: 10px 10px 10px 10px;
    box-shadow: 10px 10px 30px black;
    padding: 5px 5px 5px 5px;
    font-family: Calibri;
    font-size: 10pt;
    color: black;
}

.mainBodyBlockNoShadow {
    display: block;
    background-color: #E1E1E1;
    border-radius: 10px 10px 10px 10px;
    box-shadow: 10px 10px 30px black;
    padding: 5px 5px 5px 5px;
    font-family: Calibri;
    font-size: 10pt;
    color: black;
}

.mainBodyBlock {
    display: block;
    background-color: #E1E1E1;
    border-radius: 10px 10px 10px 10px;
    box-shadow: 10px 10px 30px black;
    padding: 5px 5px 5px 5px;
    font-family: Calibri;
    font-size: 10pt;
    color: black;
    position: relative; /*Need this so any box-shadows from another object don't render on top of this.*/
    z-index: 1; /*Need this so any box-shadows from another object don't render on top of this.*/
}

.buttonBar {
    display: inline-block;
    width: 25px;
    background-color: #E1E1E1;
    border-radius: 10px 10px 10px 10px;
    box-shadow: 10px 10px 30px black;
    padding-top: 5px;
    padding-bottom: 5px;
    position: relative;
    text-align: center;
    z-index: 1; /*Need this so any box-shadows from another object don't render on top of this.*/
}

.buttonBarIconContainer {
    width: 20px;
    height: 25px;
    margin: auto; /*This centers the objects horizontally.*/
}

.buttonIcon {
    width: 20px;
    height: 20px;
    outline: 0; /*Prevents the object focus border.*/
}

.tbEdit {
    font-family: Calibri;
    font-size: 10pt;
    background-color: white;
    border: 1px inset white;
}

.tbReadOnly {
    font-family: Calibri;
    font-size: 10pt;
    background-color: #E1E1E1;
    border: 1px inset white;
}

.GridviewHeader {
    background-color: #AF9D79;
    font-family: Calibri;
    font-size: 10pt;
    color: white;
    text-decoration: none;
}
.GridviewFooter {
    background-color: #A4A4A4;
    border-top-style: solid;
    border-top-width: 2px;
    border-top-color: black;
    font-family: Calibri;
    font-size: 10pt;
    font-weight: bold;
    color: #000000;
    text-align: center;
}
.GridviewCellPadding1 {
    padding-left: 5px;
    padding-right: 5px;
}

RemoveAnchorUnderline th a {
    text-decoration: none;
    color: white;
}

.titleBarSub1 {
    background-color: #AF9D79;
    border-style: solid;
    border-width: 1px;
    border-color: gray;
    border-radius: 5px;
    font-family: Calibri;
    font-size: 11pt;
    color: white;
}

.modalBackground {
    background-color: Gray;
    filter: alpha(opacity=70);
    opacity: 0.7;
}

.ssWatermarked {
    font-style: italic;
    color: #C0C0C0;
}

/*New as July 2019*/
.modalPopupBackground2 {
    display: none; /* Hidden by default */
    position: fixed;
    z-index: 100;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.ibtnAnimated {
    cursor: pointer;
    width: 20px;
    height: 20px;
    outline: 0; /*Prevents the object focus border.*/
    transition: transform .2s;
}
    .ibtnAnimated:hover {
        transform: scale(1.5);
    }

.objAnimated {
    cursor: pointer;
    outline: 0; /*Prevents the object focus border.*/
    transition: transform .2s;
}
    .objAnimated:hover {
        transform: scale(1.1);
    }

.btnStyle {
    width: 100%;
    padding: 3px;
    text-align: center;
    border: 1px solid grey;
    box-shadow: 5px 5px 5px grey;
    cursor: pointer;
    outline: 0; /*Prevents the object focus border.*/
    transition: transform .2s;
}
    .btnStyle:hover {
        transform: scale(1.1);
    }

.cellShadowHighlight {
    cursor: pointer;
    box-shadow: 0px 0px 0px 0px gray;
    transition: background-color .3s linear, box-shadow 0.3s ease-in-out;
}
    .cellShadowHighlight:hover {
        box-shadow: 0px 0px 20px 5px gray;
    }

.stickyTop {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
}

.stickyLeft {
    position: -webkit-sticky;
    position: sticky;
    left: 0;
}

/*START: (Accessibility) Provide a 'focus' border where not automatically set*/
button:focus {
    border: 2px solid black;
}
input[type="image"]:focus {
    border: 2px solid black;
}
/*END: Focus border*/

.skip-link {
    position: absolute;
    top: -40px;
    left: 0;
    background: #000000;
    color: white;
    padding: 8px;
    z-index: 100;
}
    .skip-link:focus {
        top: 0;
    }
